Subject: Re: bug#55574: 28.1; desktop-kill not included in kill-emacs-hook anymore

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 22 May 2022 21:20:22 +0200

(Re-sending with the debbugs address in the CCs so that it lands in the
bug tracker.)

Christian Tanzer <[email-masked]> writes:

> On 22.05.2022, at 19:12, Lars Ingebrigtsen <[email-masked]> wrote:
>> 
>> Lars Ingebrigtsen <[email-masked]> writes:
>> 
>>> This is a duplicate of bug#55574, so I'm merging the two.
>> 
>> Sorry; I meant bug#55560.
>
> Sorry for the noise. I stumbled over this a few weeks ago and only
> looked into it today, unfortunately without checking for an existing
> report again.
>
> I still think that this needs documenting though because it breaks
> stuff that has worked since forever.
>
> My function calling kill-emacs hasn’t changed since 1993; until today
> that is. I’m pretty sure that back then it wasn’t frowned upon to use
> kill-emacs in elisp code.